## Include common functions.

source("common.R")


## Histogram settings.

#histbreaks=seq(from=0, to=4000000, by=1000)


## Graph color.

colors = list()
colors["naive"]    = rgb(0.00, 0.00, 1.00, 0.50)  ## Blue
colors["netlib"]   = rgb(1.00, 1.00, 0.00, 1.00)  ## Yellow
colors["faithful"] = rgb(1.00, 0.00, 0.00, 0.50)  ## Red
colors["accurate"] = rgb(0.00, 1.00, 0.00, 0.50)  ## Green


## Output names.

algonames = list()
algonames["naive"]    = "naive"
algonames["netlib"]   = "netlib"
algonames["faithful"] = "faithful"
algonames["accurate"] = "accurate"


## Main.

args = parse_args()
file_out = sprintf("histogram_%s_%d.pdf", args$host, args$n)

pdf(file_out, width=16,height=9)
layout(matrix(c(1,2,3),ncol=3))
myplot(args$host, "AROUND_ONE", args$n, unlist(colors), algonames, histnum=20)
myplot(args$host, "FULL_EXPONENT_RANGE", args$n, unlist(colors), algonames, histnum=20)
myplot(args$host, "REALLY_SMALL", args$n, unlist(colors), algonames, histnum=20)
