## Include common functions.

source("common.R")


## Histogram settings.

#histbreaks=seq(from=0, to=4000000, by=100)


## Graph color, and hatches density and angle.

colors = list()
colors["naive"]    = rgb(0.00, 0.00, 1.00, 0.50)  ## Blue
colors["vecnaive"] = rgb(0.00, 0.00, 0.00, 0.50)  ## Blue, darker
colors["netlib"]   = rgb(0.67, 0.67, 0.00, 1.00)  ## Yellow
colors["faithful"] = rgb(1.00, 0.00, 0.00, 0.50)  ## Red
colors["accurate"] = rgb(0.00, 1.00, 0.00, 0.50)  ## Green

density = list()
density["naive"]    = 25
density["vecnaive"] = 25
density["netlib"]   = 35
density["faithful"] = 50
density["accurate"] = 50

angle = list()
angle["naive"]    = -60
angle["vecnaive"] = 00
angle["netlib"]   = -30
angle["faithful"] = 30
angle["accurate"] = 60


## Output names.

algonames = list()
algonames["naive"]    = "Naive"
algonames["vecnaive"] = "Naive (vec)"
algonames["netlib"]   = "Hammarling"
algonames["faithful"] = "Graillat et al."
algonames["accurate"] = "Ours"


## Main.

args = parse_args()

profile_names = c( "AROUND_ONE", "INF_RES", "NO_OVF", "NRM_INP", "SPUR_OVF", "SUB_INP", "SUB_SQR")

for (profil in profile_names) {
    cat("#", profil, fill=TRUE)
    file_out = sprintf("histogram_%s_%s_%d.pdf", args$host, profil, args$n)
    pdf(file_out, onefile=FALSE, width=4.79, height=1.75, family="Palatino", pointsize=8)
    myplot(
        args$host, profil, args$n,
        time_unit=1000,             ## Data is in nanoseconds.
        hist_step=0.2,
        ymax=100,                   ## Max possible value: 100
        xticks=seq(from=0, to=15, by=2),
        unlist(colors), unlist(density), unlist(angle), algonames, forpaper=TRUE)
    dev.off()
}
