## Include common functions.

source("common.R")


## Histogram settings.

#histbreaks=seq(from=0, to=4000000, by=1000)


## Graph color.

colors = list()
colors["naive"]    = rgb(0.00, 0.00, 1.00, 0.50)  ## Blue
colors["netlib"]   = rgb(1.00, 1.00, 0.00, 1.00)  ## Yellow
colors["faithful"] = rgb(1.00, 0.00, 0.00, 0.50)  ## Red
colors["accurate"] = rgb(0.00, 1.00, 0.00, 0.50)  ## Green


## Output names.

algonames = list()
algonames["naive"]    = "naive"
algonames["netlib"]   = "netlib"
algonames["faithful"] = "faithful"
algonames["accurate"] = "accurate"


## Main.

args = parse_args()

for (case in c("AROUND_ONE", "FULL_EXPONENT_RANGE", "REALLY_SMALL")) {

    png(sprintf("data_%s_%s_%d.png", args$host, case, args$n))
    myplot(args$host, case, args$n, unlist(colors), algonames, histnum=20)
    dev.off()
}
