## Author: Joris Picot,
##         École Normale Supérieure de Lyon, LIP, AriC Team.
##
## This program is part of an implementation of the algorithm described in the
## paper:
##
##     Vincent Lefèvre, Nicolas Louvet, Jean-Michel Muller, Joris Picot,
##     Laurence Rideau. Accurate calculation of Euclidean Norms using
##     Double-word arithmetic. 2021
##
## Copyright (C) 2021  École Normale Supérieure de Lyon
##
## This library is free software; you can redistribute it and/or
## modify it under the terms of the GNU Lesser General Public
## License as published by the Free Software Foundation; either
## version 2.1 of the License, or (at your option) any later version.
##
## This library is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
## Lesser General Public License for more details.
##
## You should have received a copy of the GNU Lesser General Public
## License along with this library; if not, write to the Free Software
## Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301
## USA

using Printf
using EuNms

begin

    for P in [:graill, :muller]

        #for F in [[Float16, Float32, Float64]; WITH_QUAD ? [Float128] : []]
        for F in [Float32, Float64]

            prm = ENParam(Val(P), F)

            printstyled("#[$P]"; bold=true, color=:yellow)
            printstyled(@sprintf " %s" prm.F; color=:yellow)
            printstyled(@sprintf " γ=%s" prm.γ; color=:yellow)
            println()

            showENparams(prm)
            println()
        end
    end
end
